
/*****************************************************************************
*
* Copyright (C) 2003 Atmel Corporation
*
* File              : TerminalDriver.h
* Compiler          : IAR EWAAVR 2.28a
* Version           : 2.1          
* Last modified     : 18-07-2003 by LTA
*
* Support mail      : avr@atmel.com
*
* Description       : Terminal emulation interface header file
*                     
*
*
****************************************************************************/

//#ifndef TERMINALDRIVER_H
//#define TERMINALDRIVER_H

//#include <ioavr.h>
//#include <inavr.h>
//#include <inttypes.h>
//#include <avr/io.h>
//#include <stdlib.h>
//#include <avr/interrupt.h>


//***************************
// Misc definitions
//***************************

/*** Text modes ***/
#define MODE_NONE         '0'
#define MODE_BOLD         '1'
#define MODE_DIM          '2'
#define MODE_UNDERLINE    '4'
#define MODE_BLINK        '5'
#define MODE_REVERSED     '7'
#define MODE_CONCEALED    '8'


/*** Text colours ***/
#define COL_FOREGROUND    '3'
#define COL_BACKGROUND    '4'

#define COL_BLACK         '0'
#define COL_RED           '1'
#define COL_GREEN         '2'
#define COL_YELLOW        '3'
#define COL_BLUE          '4'
#define COL_MAGENTA       '5'
#define COL_CYAN          '6'
#define COL_WHITE         '7'


/*** Cursor move direction ***/
#define MOVE_UP           'A'
#define MOVE_DOWN         'B'
#define MOVE_RIGHT        'C'
#define MOVE_LEFT         'D'



//***************************
// Function prototypes
//***************************

unsigned char Term_Get(void);
unsigned char Term_Send_RAMStr( unsigned char *str );
void Term_Erase_Screen(void);
void Term_Initialise(void);
void Term_Send( unsigned char data );


//#endif
